# Obsluha kliknutí a změny textu pole v omw
from omw import *

class MyButton(Button):
    def button_clicked(self):
        super().button_clicked()
        print("Kliknuto na tlačítko")
        return self

class MyEntry(Entry):
    def entry_change(self):
        super().entry_change()
        print("Obsah pole se změnil")
        return self

window = Window()
button = MyButton().set_text("Klikni")
entry = MyEntry().move(0, 30)
group = Group().set_items([button, entry])
window.set_widget(group)

# Kliknutí na tlačítko a změna pole vytiskne:
"""
Kliknuto na tlačítko
Obsah pole se změnil
"""
