# Skupina tlačítek (dvě metody se stejným jménem)


# Stačí prázdná definice:
class Button:
    pass

class Group:
    def __init__(self):
        self.items = []

    def get_items(self):
        return self.items[:]

    def set_items(self, items):
        self.items = items[:] 
        return self

class ButtonGroup(Group):
    def __init__(self):
        super().__init__()

    def set_items(self, items):
        for item in items:
            if not isinstance(item, Button):
                raise TypeError("item is not a button")
        self.items = items[:] 
        return self        
    

"""
>>> button_group = ButtonGroup()
"""

# Jaká metoda obslouží zprávu?
"""
>>> button_group.set_items([1, 2])
TypeError: item is not a button
"""

