# Skupina tlačítek s knihovnou omw
from omw import *

class ButtonGroup(Group):
    def check_item(self, item):
        if not isinstance(item, Button):
            raise TypeError("items of a button group have to be buttons")
        return self

window = Window()
button1 = Button().set_text("A")
button2 = Button().set_text("B").move(0, 40)
group = ButtonGroup().set_items([button1, button2])
window.set_widget(group)


# Skupina tlačítek může obsahovat pouze tlačítka:
"""
>>> group.set_items([Label()])
TypeError: items of a button group have to be buttons
"""
