# Zárodek počítadla
from omw import *

class Counter(Group):
    def __init__(self):
        super().__init__()
        self.value = 0
        label = Label()
        button = Button().move(0, 20).set_text("+")
        self.set_items([label, button])
        self.ensure_label_text()

    def get_value(self):
        return self.value

    def set_value(self, value):
        self.value = value
        self.ensure_label_text()
        return self

    def get_label(self):
        return self.get_items()[0]

    def get_button(self):
        return self.get_items()[1]
    
    def ensure_label_text(self):
        label = self.get_label()
        value = self.get_value()
        label.set_text(str(value))
        return self

    def inc_value(self):
        return self.set_value(self.get_value() + 1)
        
      
window = Window()
counter = Counter()
window.set_widget(counter)
counter.set_value(5)

"""
counter.inc_value()
"""

